Skip to main content
PATCH
Update Gateway

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

gateway_id
string<uuid>
required

The unique identifier of an Authorization gateway config

Body

application/json

Gateway edits

card_products
string<uuid>[]

List of Card Product unique identifiers that will utilize the Gateway

custom_headers
object

These key-value pairs define custom HTTP headers that will be included in every HTTP request to the gateway. Note that when updating this field, all key-value pairs will be replaced. They are not merged with existing data.

is_active
boolean

Current status of the Authorization gateway

standin
object
url
string<uri>

URL of the Authorization gateway

Maximum string length: 1000

Response

Gateway Updated

card_products
string<uuid>[]
required

List of Card Product unique identifiers that will utilize the Gateway

creation_time
string<date-time>
required
read-only

The timestamp representing when the gateway config request was made

Example:

"2010-05-06T12:23:34.321Z"

id
string<uuid>
required

Gateway ID

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

is_active
boolean
required

Current status of the Authorization gateway

last_updated_time
string<date-time>
required
read-only

The timestamp representing when the gateway config was last modified at

Example:

"2010-05-06T12:23:34.321Z"

tenant
string
required

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

url
string<uri>
required

URL of the Authorization gateway

Maximum string length: 1000
custom_headers
object

These key-value pairs define custom HTTP headers that will be included in every HTTP request to the gateway. Note that when updating this field, all key-value pairs will be replaced. They are not merged with existing data.

standin
object